org.wso2.carbon.webapp.mgt

## Class AbstractWebappDeployer

- java.lang.Object
- - org.apache.axis2.deployment.AbstractDeployer
  - - org.wso2.carbon.webapp.mgt.AbstractWebappDeployer

- All Implemented Interfaces:
    org.apache.axis2.deployment.Deployer

      public abstract class AbstractWebappDeployer
      extends org.apache.axis2.deployment.AbstractDeployer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.engine.AxisConfiguration` | `axisConfig`
    `protected org.apache.axis2.context.ConfigurationContext` | `configContext`
    `protected String` | `extension`
    `protected List<WebContextParameter>` | `servletContextParameters`
    `protected TomcatGenericWebappsDeployer` | `tomcatWebappDeployer`
    `protected Map<String,WebApplicationsHolder>` | `webApplicationsHolderMap`
    `protected String` | `webappsDir`

    - ### Fields inherited from class org.apache.axis2.deployment.AbstractDeployer

      `deploymentFileDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWebappDeployer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `protected abstract TomcatGenericWebappsDeployer` | `createTomcatGenericWebappDeployer(String webContextPrefix, int tenantId, String tenantDomain)`
    `void` | `deploy(org.apache.axis2.deployment.repository.util.DeploymentFileData deploymentFileData)`
    `protected abstract String` | `getType()`
    `protected void` | `handleRedeployment(File file)`
    `void` | `init(org.apache.axis2.context.ConfigurationContext configCtx)`
    `boolean` | `isExistingFaultyApp(String filePath)`
    `void` | `undeploy(String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axis2.deployment.Deployer

      `setDirectory, setExtension`

- - ### Field Detail

    - #### webappsDir

          protected String webappsDir

    - #### extension

          protected String extension

    - #### tomcatWebappDeployer

          protected TomcatGenericWebappsDeployer tomcatWebappDeployer

    - #### servletContextParameters

          protected final List<WebContextParameter> servletContextParameters

    - #### configContext

          protected org.apache.axis2.context.ConfigurationContext configContext

    - #### axisConfig

          protected org.apache.axis2.engine.AxisConfiguration axisConfig

    - #### webApplicationsHolderMap

          protected Map<String,WebApplicationsHolder> webApplicationsHolderMap

  - ### Constructor Detail

    - #### AbstractWebappDeployer

          public AbstractWebappDeployer()

  - ### Method Detail

    - #### init

          public void init(org.apache.axis2.context.ConfigurationContext configCtx)

    - #### createTomcatGenericWebappDeployer

          protected abstract TomcatGenericWebappsDeployer createTomcatGenericWebappDeployer(String webContextPrefix,
                                                                                            int tenantId,
                                                                                            String tenantDomain)

    - #### getType

          protected abstract String getType()

    - #### deploy

          public void deploy(org.apache.axis2.deployment.repository.util.DeploymentFileData deploymentFileData)
                      throws org.apache.axis2.deployment.DeploymentException

      Specified by:
        `deploy` in interface `org.apache.axis2.deployment.Deployer`
      Overrides:
        `deploy` in class `org.apache.axis2.deployment.AbstractDeployer`
      Throws:
        `org.apache.axis2.deployment.DeploymentException`

    - #### undeploy

          public void undeploy(String fileName)
                        throws org.apache.axis2.deployment.DeploymentException

      Specified by:
        `undeploy` in interface `org.apache.axis2.deployment.Deployer`
      Overrides:
        `undeploy` in class `org.apache.axis2.deployment.AbstractDeployer`
      Throws:
        `org.apache.axis2.deployment.DeploymentException`

    - #### cleanup

          public void cleanup()
                       throws org.apache.axis2.deployment.DeploymentException

      Specified by:
        `cleanup` in interface `org.apache.axis2.deployment.Deployer`
      Overrides:
        `cleanup` in class `org.apache.axis2.deployment.AbstractDeployer`
      Throws:
        `org.apache.axis2.deployment.DeploymentException`

    - #### isExistingFaultyApp

          public boolean isExistingFaultyApp(String filePath)

    - #### handleRedeployment

          protected void handleRedeployment(File file)
                                     throws org.apache.axis2.deployment.DeploymentException

      Throws:
        `org.apache.axis2.deployment.DeploymentException`

Copyright © 2017 WSO2. All rights reserved.